Subject: Ticket Assigned - Late delivery / 9560303555
From: Home Box <[email-masked]>
To: [email-masked]
Date: Wed, 09 Mar 2022 06:26:54 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Late delivery / 9560303555 ✨Roodh✨                    Hi I still haven’t got this order which was supposed to come yesterday in 1 day delivery           09:58 AM, 09th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           09:58 AM, 09th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            09:58 AM, 09th Mar                     ✨Roodh✨                    Can you please check and update me thanks           09:59 AM, 09th Mar                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            10:00 AM, 09th Mar                   New                   If you have any pictures that you would like to share, please do that.            10:00 AM, 09th Mar                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           10:00 AM, 09th Mar                   Ahmed                   Kindly allow me few moments so I can check the details of your order            10:04 AM, 09th Mar                     ✨Roodh✨                    Ok           10:15 AM, 09th Mar                   Ahmed                   We deeply apologize for the experience you went through, and we would like to inform you that this is not the experience we would like our customers to have with us and that we seek to develop our services to have the best shopping experience with us next time.           10:19 AM, 09th Mar                   Ahmed                   I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           10:19 AM, 09th Mar                     ✨Roodh✨                    You know I’ve placed orders of over 1500 aed just in the last 2 weeks           10:20 AM, 09th Mar                     ✨Roodh✨                    I was referring Homebox to all my friends too           10:20 AM, 09th Mar                     ✨Roodh✨                    But this is quite disappointing           10:20 AM, 09th Mar                     ✨Roodh✨                    I needed those fry pans urgently for a dinner party at home today           10:20 AM, 09th Mar                     ✨Roodh✨                    And I feel stuck now           10:20 AM, 09th Mar                     ✨Roodh✨                    With no other option than having to go and purchase it which is very hard in my work schedule           10:21 AM, 09th Mar                   Ahmed                   we will make sure to resolve your issue and arrange you order delivery in no time, and we will update you on this regard as soon as possible, please be assure of that.           10:26 AM, 09th Mar                   Ahmed                   It was a pleasure to assist you, and have a nice day.             10:26 AM, 09th Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3997034